org.apache.hc.client5.http.impl.classic

## Class ProxyClient

- java.lang.Object
- - org.apache.hc.client5.http.impl.classic.ProxyClient

    public class ProxyClient
    extends Object

ProxyClient can be used to establish a tunnel via an HTTP/1.1 proxy.

### Constructor Summary

Constructors
Constructor and Description
`ProxyClient()`
`ProxyClient(HttpConnectionFactory<ManagedHttpClientConnection> connFactory, Http1Config h1Config, CharCodingConfig charCodingConfig, RequestConfig requestConfig)`
`ProxyClient(RequestConfig requestConfig)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Socket` `tunnel(HttpHost proxy, HttpHost target, Credentials credentials)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProxyClient

    public ProxyClient(HttpConnectionFactory<ManagedHttpClientConnection> connFactory,
                       Http1Config h1Config,
                       CharCodingConfig charCodingConfig,
                       RequestConfig requestConfig)

Since:
  5.0

#### ProxyClient

    public ProxyClient(RequestConfig requestConfig)

Since:
  4.3

#### ProxyClient

    public ProxyClient()

### Method Detail

#### tunnel

    public Socket tunnel(HttpHost proxy,
                         HttpHost target,
                         Credentials credentials)
                  throws IOException,
                         HttpException

Throws:
  `IOException`
  `HttpException`